Problème ergonomie mobile GSC sur 1 seule page "utilise des plug-ins incompatibles"

Réduire
X
 
  • Filtrer
  • Heure
  • Afficher
Tout effacer
nouveaux messages

  • Pierre débutant
    a répondu
    Bonjour,
    ça y est, le problème afférant à cette page a été réglé : je n'ai effecuté à ce jour aucune action, mais la google search console team a "validé les modifications appportées à la page en étant corrigées", et mon site se retrouve maintenant avec "0 erreurs". J'ai eu, par le biais de joomla, 3 mises à jour : la versioin joomla 3.9.26, et 2 mises à jour successives du plugin maxi menu mobile > je ne sais pas s'il y a un lien de cause à effet, mais en tout cas google a validé l'url qui créait problème.
    Ouf, tout est redevenu comme avant.
    Bonne continuation et rendez-vous pour un "n-ième problème technique à dépasser".
    Cordialement,
    Pierre

    Laisser un commentaire:


  • Pierre débutant
    a répondu
    Bonjour
    Remerciements pour ces confirmations. Je vais prendre le temps de réaliser tout ce dont nous avons parlé jusqu'à présent, et reviendrais vers la discussion plus tard lorsque j'aurais avancé de mon côté.
    Je vous tiens au courant prochainement, le temps de tout faire
    Bonne fin de semaine

    Laisser un commentaire:


  • RobertG
    a répondu
    Bonjour,

    Pour https, si tu as ajouté le bon code dans le .htaccess, tu n'as pas besoin de modifier la configuration, ce code doit automatiquement basculer le site en https.
    Faire cette modification pour IndexIgnore n'a aucune raison de provoquer un bug.
    Le plus logique pour l'indexation est de n'avoir qu'une adresse déclarée, pas plusieurs : avec ou sans www, avec https, en faisant en sorte que quelle que soit l'adresse saisie elle bascule automatiquement en https et avec ou sans www selon ton choix.

    Laisser un commentaire:


  • Pierre débutant
    a répondu
    Bonjour,
    Pour passer de php 7.3 à 7.4, pas de problème, je peux le faire directement depuis l'interface ovh : je verrais bien ce qu'il en ressort (et je peux revenir à l'ancienne version de php si jamais cela créait des problèmes).
    Par contre, concernant le passage de mon site en https, que j'ai pu réaliser il y a 2 mois environ, n'a pas pu se faire simplement par la configuration du site : ovh m'a fait insérer un code dans le fichier .htaccess, et google est en train de reprendre page par page toutes les redirections.
    Malgré ce, lorsque j'active https depuis la configuration du site (alors que mon site est vraiment en https de manière stable), je reçois un message d'alerte indiquant : "HTTPS n'a pas été activé car il n'est pas disponible sur ce serveur. Le test de la connexion HTTPS a échoué avec l'erreur suivante : La version HTTPS du site a retourné un code de statut HTTP invalide."
    Après avoir parcouru d'autres forums, je ne suis pas le seul a recevoir ce message malgré mon site passé en https : il y a d'après eux un bug sur cette fonctionnalité.
    Je viens de renseigner chez google une nouvelle propriété de mon site, google est donc maintenant informé que je possède mon site en "http" et en "https". Ils m'indiquent également de mentionner avec www et sans www : j'avoue avoir du mal à comprendre, car je vais me retrouver avec 4 propriétés, donc avoir 4 fois plus de codages d'erreur de leur part pour de prochains problèmes... J'attends de voir ce que cela donne avec https rajoutée comme propriété.
    Enfin, j'ai un message de post installation qui indique un code à insérer dans le fichier .htaccess :
    "Before 3.9.22 the default htaccess.txt file contained erroneous code meant for disabling directory listings. The security team recommends to manually apply the necessary changes to any existing .htaccess file, as this file can not be updated automatically.

    The old code:

    <IfModule autoindex> IndexIgnore * </IfModule>
    The new code:

    <IfModule mod_autoindex.c> IndexIgnore * </IfModule>"

    Ce codage a t'il une importance réelle, peut-il m'apporter de nouveaux bugs ?

    Remerciements d'avance

    Laisser un commentaire:


  • RobertG
    a répondu
    Bonjour,

    Pas d'idée !
    J'ai affiché la feuille de style principale de ton template, aucune alerte de mon antivirus. Mais en le testant sur sitecheck.sucuri.net, une erreur 404 est signalée, sans autre alerte que l'utilisation de PHP 7.3 qu'il faudrait remplacer par une 7.4
    Attention au fait que le passage automatique en https (à activer dans la configuration du site) n'étant pas actif, certains antivirus protégeant les navigateurs refusent parfois d'afficher les pages.

    Laisser un commentaire:


  • Pierre débutant
    a répondu
    Bonjour,
    Après divers échanges avec le développeur de mediabox ck et de mobilemenu ck, nous avons désactivé ces plug-ins, puis fait un test google smartphone de la page en question : résultat, mediabox et mobilemenu n'ont aucun problème.
    Il pense de prime abord que le problème vient du fichier robot.txt : j'ai fait quelques recherches à ce sujet, je pense pouvoir modifier le fichier robot.txt par moi-même pour lui autoriser ou non de laisser le googlebot voir ou pas cette page, en lui renseignant un allow spécifique à la page (je ne vois pas quoi faire d'autre à ce sujet...)

    Par contre, le développeur a également visualisé que cette page ne chargeait aucun script / style, comme vous l'aviez annoncé. Il m'indique alors qu'il y un problème de chargement de fichier. Il pense que le problème vient sûrement de protostar, car lorsqu'il a voulu vérifier le fichier css principal de mon template protostar, son antivirus lui a adressé un message d'erreur "la visite d'un site internet dangereux a été empêchée".
    J'ai regardé protostar, et la page en question est bien cochée dans protostar.
    Dans quelle direction puis-je orienter mes investigations ?

    Laisser un commentaire:


  • Pierre débutant
    a répondu
    D'accord, je comprends mieux à présent les différents liens, je ne savais pas du tout ce qu'était JQuery > un grand merci pour ce premier "grand pas en avant"
    De mon côté, si je ne dis pas de bétises, la vidéo et les images sur mon site sont mises en place par le plug-in "mediabox ck", et la partie qui s'occupe de l'adaptation aux mobiles et un plug-in du même auteur, à savoir mobilemenu ck (les 2 plug-ins sont à jour).
    Je viens à l'instant de contacter l'assistance de ces 2 plug-ins sur le site officiel du développeur pour voir leur avis sur ce problème
    Je reviens vers le forum dès que j'ai des nouvelles de leur part

    Laisser un commentaire:


  • RobertG
    a répondu
    Non, tu n'as pas à installer jQuery, mais apparemment à faire en sorte que ce soit chargé par l'extension qui affiche ta vidéo, donc voir dans l'extension utilisée ce qui est à faire pour que ce script soit actif.

    Laisser un commentaire:


  • Pierre débutant
    a répondu
    Merci pour l'information, en effet, j'ai vu que JQuery n'est pas chargé sur le smartphone. Par sécurité, je suis allé vérifier en back-end, dans les plug-ins et dans les modules : je n'ai aucun programme se nommant "JQuery", cela signifie donc que je ne l'ai pas sur mon site ?
    En cherchant sur internet, je vois que JQuery est un framework : j'ai alors un programme qui s'appelle Gantry framework qui avait été mis en place à l'époque pour son côté "responsive".
    J'ai peur en installant JQuery d'augmenter les problématiques de compatibilité entre programme...
    Qu'en pensez-vous ?

    Laisser un commentaire:


  • RobertG
    a répondu
    Bonjour,

    Si tu fais ton test avec https://search.google.com/test/mobile-friendly?hl=fr tu verras, en accédant aux détails, que JQuery n'est pas chargé sur le smartphone. Reste à trouver pourquoi.

    Laisser un commentaire:


  • Problème ergonomie mobile GSC sur 1 seule page "utilise des plug-ins incompatibles"

    Bonjour,

    Je viens de recevoir un mail de la part de la Google Search Console team, mentionnant un "problème d'ergonomie mobile : utilise des plug-ins incompatibles", sur une seule page ou je possède une vidéo : https://www.pierbiau.com/index.php/video-2

    Il n'y a rien de grave puisque tout fonctionne, mais cela empêche google de me classer correctement dans les résultats de recherche.
    GSC m'indique m'avoir alerté de ce problème le 25/11/2018, et si j'ai bien compris, le problème vient de la consultation de cette page depuis un appareil mobile, pas un ordinateur.

    J'ai tenté de lire les explications de GSC à ce sujet, et dans la section "plug-ins incompatibles", ils mentionnent l'utilisation de Flash "obsolète", et conseillent de passer au format HTML5 :
    https://support.google.com/webmaster...69#flash_usage

    Cependant, lorsque je regarde en back-end mon article, j'ai simplement inséré un lien cliquable par le biais de l'interface proposée par joomla, idem pour la vidéo qui reprend le même lien.
    Peut-être GSC n'admet pas que 2 sources pointent vers le même lien chez YouTube ? Je ne vois pas où il y aurait du "Flash" quelque part...

    Concernant l'ergonomie mobile, je possède le module com_mobilemenuck, qui est à jour. Du coup, j'ai supposé que les autres problèmes énoncés par GSC qui concernent l'affichage sont gérés par ce module ? J'ai affiché le code source de la page, dans lequel je peux intervenir au besoin manuellement, mais je ne vois pas où est le problème

    Si quelqu'un voit un "angle d'attaque" intéressant pour résoudre ce problème, merci de m'en faire part.

    Bonne journée
    Cordialement,
    Pierre
    Dernière édition par Pierre débutant à 18/04/2021, 07h19

Annonce

Réduire
1 sur 2 < >

C'est [Réglé] et on n'en parle plus ?

A quoi ça sert ?
La mention [Réglé] permet aux visiteurs d'identifier rapidement les messages qui ont trouvé une solution.

Merci donc d'utiliser cette fonctionnalité afin de faciliter la navigation et la recherche d'informations de tous sur le forum.

Si vous deviez oublier de porter cette mention, nous nous permettrons de le faire à votre place... mais seulement une fois
Comment ajouter la mention [Réglé] à votre discussion ?
1 - Aller sur votre discussion et éditer votre premier message :


2 - Cliquer sur la liste déroulante Préfixe.

3 - Choisir le préfixe [Réglé].


4 - Et voilà… votre discussion est désormais identifiée comme réglée.

2 sur 2 < >

Assistance au forum - Outil de publication d'infos de votre site

Compatibilité: PHP 4.1,PHP4, 5, 6DEV MySQL 3.2 - 5.5 MySQLi from 4.1 ( @ >=PHP 4.4.9)

Support Version de Joomla! : | J!3.0 | J!2.5.xx | J!1.7.xx | J!1.6.xx | J1.5.xx | J!1.0.xx |

Version française (FR) D'autres versions sont disponibles depuis la version originale de FPA

UTILISER À VOS PROPRES RISQUES :
L'exactitude et l'exhaustivité de ce script ainsi que la documentation ne sont pas garanties et aucune responsabilité ne sera acceptée pour tout dommage, questions ou confusion provoquée par l'utilisation de ce script.

Problèmes connus :
FPA n'est actuellement pas compatible avec des sites Joomla qui ont eu leur fichier configuration.php déplacé en dehors du répertoire public_html.

Installation :

1. Téléchargez l'archive souhaitée : http://afuj.github.io/FPA/

Archive zip : https://github.com/AFUJ/FPA/zipball/master

2. Décompressez le fichier de package téléchargé sur votre propre ordinateur (à l'aide de WinZip ou d'un outil de décompression natif).

3. Lisez le fichier LISEZMOI inclus pour toutes les notes de versions spécifiques.

4. LIRE le fichier de documentation inclus pour obtenir des instructions d'utilisation détaillées.

5. Téléchargez le script fpa-fr.php à la racine de votre site Joomla!. C'est l'endroit que vous avez installé Joomla et ce n'est pas la racine principale de votre serveur. Voir les exemples ci-dessous.

6. Exécutez le script via votre navigateur en tapant: http:// www. votresite .com/ fpa-fr.php
et remplacer www. votresite .com par votre nom de domaine


Exemples:
Joomla! est installé dans votre répertoire web et vous avez installé la version française du fichier FPA:
Télécharger le script fpa-fr.php dans: /public_html/
Pour executer le script: http://www..com/fpa-fr.php

Joomla! est installé dans un sous-répertoire nommé "cms" et vous avez installé la version française du fichier FPA:
Télécharger le script fpa-fr.php dans: /public_html/cms/
Pour executer le script: http://www..com/cms/fpa-fr.php

En raison de la nature très sensible de l'information affichée par le script FPA, il doit être retiré immédiatement du serveur après son utilisation.

Pour supprimer le script de votre site, utilisez le lien de script de suppression fourni en haut de la page du script. Si le lien de suppression échoue pour supprimer le script, utilisez votre programme FTP pour le supprimer manuellement ou changer le nom une fois que le script a généré les données du site et le message publié sur le forum. Si le script est toujours présent sur le site, il peut être utilisé pour recueillir suffisamment d'informations pour pirater votre site. Le retrait du script empêche des étrangers de l'utiliser pour jeter un oeil à la façon dont votre site est structuré et de détecter les défauts qui peuvent être utilisé à vos dépends.
Voir plus
Voir moins

Partenaire de l'association

Réduire

Hébergeur Web PlanetHoster
Travaille ...
X